%define upstream_name    MCE
%define upstream_version 1.706

%global __requires_exclude perl\\(PDL\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Many-Core Engine for Perl providing parallel processing capabilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/MA/MARIOROY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Path)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket)
BuildRequires: perl(Storable) >= 2.40.0
BuildRequires: perl(Symbol)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(base)
BuildRequires: perl(bytes)
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Many-core Engine (MCE) for Perl helps enable a new level of performance by
maximizing all available cores. MCE spawns a pool of workers and therefore
does not fork a new process per each element of data. Instead, MCE follows
a bank queuing model. Imagine the line being the data and bank-tellers the
parallel workers. MCE enhances that model by adding the ability to chunk
the next n elements from the input stream to the next available worker.

Chunking and input data are optional in MCE. One may use MCE to run many
workers in parallel without specifying input data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue May 17 2016 shlomif <shlomif> 1.706.0-1.mga6
+ Revision: 1016577
- New version 1.706 + requires excludes + cleanups.

* Tue Mar 15 2016 shlomif <shlomif> 1.700.0-2.mga6
+ Revision: 990741
- Update the summary

* Sun Mar 13 2016 shlomif <shlomif> 1.700.0-1.mga6
+ Revision: 989825
- update to 1.700

* Thu Feb 18 2016 umeabot <umeabot> 1.608.0-2.mga6
+ Revision: 966456
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.608.0-1.mga6
+ Revision: 844542
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.515.0-2.mga5
+ Revision: 747565
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.515.0-1.mga5
+ Revision: 733742
- imported package perl-MCE

